@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #111;
    color: white;
    overflow: hidden;
}



.banner{
    width: 100%;
    height: 100vh;
    text-align: center;
    overflow: hidden;
    position: relative;
}



.banner .slider{
    position: absolute;
    width: 200px;
    height: 250px;
    top: 10%;
    left: calc(50% - 100px);
    transform-style: preserve-3d;
    transform: perspective(1000px);
    animation: autoRun 20s linear infinite;
    z-index: 3;
}

@keyframes autoRun{
    0%{
        transform: perspective(1000px) rotateX(-16deg) rotateY(0deg);
    }
    100%{
        transform: perspective(1000px) rotateX(-16deg) rotateY(-360deg);
    }
}

.banner .slider .item{
   position: absolute;
   inset: 0;
   transform: 
       rotateY(calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg))
       translateZ(550px);
}

.banner .slider .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}


.banner .content{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: min(1400px, 100vw);
    padding-bottom: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    z-index: 2;
}



.banner .content h1{
    font-family: 'ICA Rubrik Black', sans-serif;
    font-size: 8em;
    line-height: 1em;
    color: white;
    position: relative;
    z-index: 2;
}

.banner .content h1::after{
   content: attr(data-content);
   position: absolute;
   left: 0;
   top: 0;
   -webkit-text-stroke: 2px white;
   color: transparent;
   z-index: 1;
}



.banner .content .author{
    font-family: 'Poppins', sans-serif;
    text-align: right;
    max-width: 250px;
}

.banner .content .author h2{
    font-size: 2em;
}

.banner .content .author p{
    font-size: 0.9em;
    margin-top: 5px;
}



.banner .content .model{
    background-image: url(assets/model.png);
    width: 100%;
    height: 75vh;
    position: absolute;
    bottom: 0;
    left: 0;
    background-size: auto 130%;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: 1;
}